package mro.util.properties.dialog;

import mro.util.CurrentClassGetter;
import mro.util.properties.*;

import javax.swing.*;
import java.awt.*;

/**
 * Test Class.
 */
public class PropertiesFrame extends JFrame{

	public static Dimension PROPERTIESFRAME_PREFERRED_SIZE = 
		new Dimension(300, 500);
	
	public PropertiesFrame(Properties p){
		super(p.getPropertiesName());
		Container container = getContentPane();
		PropertiesPanel pp = new PropertiesPanel(new DummyClass(p));
		JScrollPane sp = new JScrollPane();
		sp.setViewportView(pp);
		container.add(sp);
		
		setVisible(true);
		setPreferredSize(PROPERTIESFRAME_PREFERRED_SIZE);
		pack();
	}
	
	public PropertiesFrame(HasProperties p){
		super(p.getProperties().getPropertiesName());
		Container container = getContentPane();
		container.add(new PropertiesPanel(p));
		/*
		PropertiesPanel pp = new PropertiesPanel(p);
		JScrollPane sp = new JScrollPane();
		sp.setViewportView(pp);
		container.add(sp);
		*/

		setVisible(true);
		setPreferredSize(PROPERTIESFRAME_PREFERRED_SIZE);
		pack();
	}
	
}

class DummyClass implements HasProperties{
    mro.util.properties.Properties properties;

    public DummyClass(mro.util.properties.Properties properties){
	this.properties=properties;
    }

    public mro.util.properties.Properties getDefaultProperties(){

	mro.util.properties.Properties properties = new mro.util.properties.Properties("Empty Properties", CurrentClassGetter.getClassName());
	return properties;
    }

    public Object getPropertyValue(String name){
	return properties.getPropertyValue(name);
    }

    public void setProperty(String name, Object value) 
	throws PropertyNotFoundException{
	properties.setProperty(name, value);
    }

    public mro.util.properties.Properties getProperties(){
	return properties;
    }

    public void setProperties(mro.util.properties.Properties properties){
	this.properties=properties;
    }
}
